<% local view, viewlibrary, pageinfo, session = ... 
htmlviewfunctions = require("htmlviewfunctions")
%>

<H1>System Info</H1>
<DL>
<%
if view.value.committed.value then
	view.value.committed.value = "There are no uncommitted files"
else
	view.value.committed.value = "WARNING!\nUntil you commit, you will lose your changes at next reboot/shutdown!"
end
view.value.committed.type = "string"
htmlviewfunctions.displayitem(view.value.committed)

for name,value in pairs(view.value) do
	if name ~= "committed" then
		htmlviewfunctions.displayitem(value)
	end
end %>
</DL>
